package com.biganto.visual.roompark.domain.model

/**
 * Created by Vladislav Bogdashkin on 23.09.2019.
 */

data class DealListModel(val deals:List<DealListModel>)

data class DealModel(
    val id:Int,
    val estate_id:Int,
    val opportunitySum:Float,
    val paymentSum:Float,
    val amount_pay_sum:Float,
    val statusId:Int,
    val managerName: String,
    val estate:EstateModel
)


data class EstateModel(
    val type:String,
    val number:String,
    val building:Int,
    val sectionBegin:Int?=null,
    val sectionEnd:Int?=null,
    val floor:Int,
    val area:Float,
    val planPNG:PlanModel,
    val planJPG:PlanModel,
    val dependent:Boolean?=null,
    val rooms:Int?=null,
    val albumId:Int?=null,
    val multitourId:Int?=null
)

data class PlanModel(
    val url:String,
    val width:Int,
    val height:Int
)